Share via


Network Virtual Appliances - Get

Gets the specified Network Virtual Appliance.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkVirtualAppliances/{networkVirtualApplianceName}?api-version=2025-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkVirtualAppliances/{networkVirtualApplianceName}?api-version=2025-05-01&$expand={$expand}

URI Parameters

Name In Required Type Description
networkVirtualApplianceName
path True

string

The name of Network Virtual Appliance.

resourceGroupName
path True

string

The name of the resource group.

subscriptionId
path True

string

The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.

api-version
query True

string

Client API version.

$expand
query

string

Expands referenced resources.

Responses

Name Type Description
200 OK

NetworkVirtualAppliance

Request successful. The operation returns a Network Virtual Appliance resource.

Other Status Codes

CloudError

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get NetworkVirtualAppliance

Sample request

GET https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/networkVirtualAppliances/nva?api-version=2025-05-01

Sample response

{
  "name": "nva",
  "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/networkVirtualAppliances/nva",
  "type": "Microsoft.Network/networkVirtualAppliances",
  "etag": "w/\\00000000-0000-0000-0000-000000000000\\",
  "location": "West US",
  "tags": {
    "key1": "value1"
  },
  "identity": {
    "type": "UserAssigned",
    "userAssignedIdentities": {
      "/subscriptions/subid/resourcegroups/rg1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identity1": {}
    }
  },
  "properties": {
    "nvaSku": {
      "vendor": "Cisco SDWAN",
      "bundledScaleUnit": "1",
      "marketPlaceVersion": "12.1"
    },
    "addressPrefix": "192.168.1.0/16",
    "virtualHub": {
      "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualHubs/hub1"
    },
    "virtualApplianceSites": [
      {
        "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/networtkVirtualAppliances/nva/virtualApplianceSites/site1"
      }
    ],
    "inboundSecurityRules": [
      {
        "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/networkVirtualAppliances/nva/InboundSecurityRules/rule1"
      }
    ],
    "virtualApplianceConnections": [
      {
        "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/networkVirtualAppliances/nva/networkVirtualApplianceConnections/connection1"
      }
    ],
    "provisioningState": "Succeeded",
    "bootStrapConfigurationBlobs": [
      "https://csrncvhdstorage1.blob.core.windows.net/csrncvhdstoragecont/csrbootstrapconfig"
    ],
    "cloudInitConfigurationBlobs": [
      "https://csrncvhdstorage1.blob.core.windows.net/csrncvhdstoragecont/csrcloudinitconfig"
    ],
    "virtualApplianceAsn": 10000,
    "additionalNics": [
      {
        "name": "exrsdwan",
        "hasPublicIp": true
      }
    ],
    "internetIngressPublicIps": [
      {
        "id": "/subscriptions/{{subscriptionId}}/resourceGroups/{{rg}}/providers/Microsoft.Network/publicIPAddresses/slbip"
      }
    ],
    "networkProfile": {
      "networkInterfaceConfigurations": [
        {
          "type": "PublicNic",
          "properties": {
            "ipConfigurations": [
              {
                "name": "publicnicipconfig",
                "properties": {
                  "primary": true
                }
              },
              {
                "name": "publicnicipconfig-2",
                "properties": {
                  "primary": false
                }
              }
            ]
          }
        },
        {
          "type": "PrivateNic",
          "properties": {
            "ipConfigurations": [
              {
                "name": "privatenicipconfig",
                "properties": {
                  "primary": true
                }
              },
              {
                "name": "privatenicipconfig-2",
                "properties": {
                  "primary": false
                }
              }
            ]
          }
        }
      ]
    },
    "virtualApplianceNics": [
      {
        "nicType": "PublicNic",
        "name": "publicnicipconfig",
        "publicIpAddress": "40.30.2.2",
        "privateIpAddress": "192.168.12.1",
        "instanceName": "nva_0"
      },
      {
        "nicType": "PublicNic",
        "name": "publicnicipconfig-2",
        "publicIpAddress": "40.30.2.3",
        "privateIpAddress": "192.168.12.2",
        "instanceName": "nva_0"
      },
      {
        "nicType": "PrivateNic",
        "name": "privatenicipconfig",
        "publicIpAddress": "",
        "privateIpAddress": "192.168.12.3",
        "instanceName": "nva_0"
      },
      {
        "nicType": "PrivateNic",
        "name": "privatenicipconfig-2",
        "publicIpAddress": "",
        "privateIpAddress": "192.168.12.4",
        "instanceName": "nva_0"
      },
      {
        "nicType": "AdditionalNic",
        "name": "exrsdwan",
        "publicIpAddress": "4.231.25.19",
        "privateIpAddress": "192.168.12.5",
        "instanceName": "nva_0"
      },
      {
        "nicType": "PublicNic",
        "name": "publicnicipconfig",
        "publicIpAddress": "40.30.2.2",
        "privateIpAddress": "192.168.12.6",
        "instanceName": "nva_1"
      },
      {
        "nicType": "PublicNic",
        "name": "publicnicipconfig-2",
        "publicIpAddress": "40.30.2.3",
        "privateIpAddress": "192.168.12.7",
        "instanceName": "nva_1"
      },
      {
        "nicType": "PrivateNic",
        "name": "privatenicipconfig",
        "publicIpAddress": "",
        "privateIpAddress": "192.168.12.8",
        "instanceName": "nva_1"
      },
      {
        "nicType": "PrivateNic",
        "name": "privatenicipconfig-2",
        "publicIpAddress": "",
        "privateIpAddress": "192.168.12.9",
        "instanceName": "nva_1"
      },
      {
        "nicType": "AdditionalNic",
        "name": "exrsdwan",
        "publicIpAddress": "4.231.25.19",
        "privateIpAddress": "192.168.12.10",
        "instanceName": "nva_1"
      }
    ],
    "privateIpAddress": "192.168.12.11"
  }
}

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

DelegationProperties

Properties of the delegation.

InternetIngressPublicIpsProperties

Internet Ingress Public Ip Properties

ManagedServiceIdentity

Identity for the resource.

NetworkProfile

Network Profile containing configurations for Public and Private NIC.

NetworkVirtualAppliance

NetworkVirtualAppliance Resource.

NicTypeInRequest

NIC type. This should be either PublicNic or PrivateNic.

NicTypeInResponse

NIC type - PublicNic, PrivateNic, or AdditionalNic; AdditionalPrivateNic and AdditionalPublicNic are only supported for NVAs deployed in VNets.

NvaInterfaceConfigurationsProperties

Specifies input parameters required NVA in VNet interface configuration.

NvaInVnetSubnetReferenceProperties

Subnet references where the NVA NICS will be deployed

NvaNicType

Specifies the NIC types for the NVA interface configuration. Allowed values: PrivateNic, PublicNic, AdditionalPrivateNic, AdditionalPublicNic. Only the combination of PrivateNic and PublicNic is currently supported.

PartnerManagedResourceProperties

Properties of the partner managed resource. Only appliable for SaaS NVA.

ProvisioningState

The current provisioning state.

ResourceIdentityType

The type of identity used for the resource. The type 'SystemAssigned, UserAssigned' includes both an implicitly created identity and a set of user assigned identities. The type 'None' will remove any identities from the virtual machine.

SubResource

Reference to another subresource.

UserAssignedIdentities

The list of user identities associated with resource. The user identity dictionary key references will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}'.

VirtualApplianceAdditionalNicProperties

Network Virtual Appliance Additional Nic Properties

VirtualApplianceIPConfiguration

Represents a single IP configuration.

VirtualApplianceIPConfigurationProperties

Represents a single IP configuration properties.

VirtualApplianceNetworkInterfaceConfiguration

Represents a single NIC configuration.

VirtualApplianceNetworkInterfaceConfigurationProperties

Represents a single NIC configuration properties.

VirtualApplianceNicProperties

Network Virtual Appliance NIC properties.

VirtualApplianceSkuProperties

Network Virtual Appliance Sku Properties.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

DelegationProperties

Properties of the delegation.

Name Type Description
provisioningState

ProvisioningState

The current provisioning state.

serviceName

string

The service name to which the NVA is delegated.

InternetIngressPublicIpsProperties

Internet Ingress Public Ip Properties

Name Type Description
id

string (arm-id)

Resource Uri of Public Ip

ManagedServiceIdentity

Identity for the resource.

Name Type Description
principalId

string

The principal id of the system assigned identity. This property will only be provided for a system assigned identity.

tenantId

string

The tenant id of the system assigned identity. This property will only be provided for a system assigned identity.

type

ResourceIdentityType

The type of identity used for the resource. The type 'SystemAssigned, UserAssigned' includes both an implicitly created identity and a set of user assigned identities. The type 'None' will remove any identities from the virtual machine.

userAssignedIdentities

UserAssignedIdentities

The list of user identities associated with resource. The user identity dictionary key references will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}'.

NetworkProfile

Network Profile containing configurations for Public and Private NIC.

Name Type Description
networkInterfaceConfigurations

VirtualApplianceNetworkInterfaceConfiguration[]

Represents a single NIC configuration.

NetworkVirtualAppliance

NetworkVirtualAppliance Resource.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

identity

ManagedServiceIdentity

The service principal that has read access to cloud-init and config blob.

location

string

Resource location.

name

string

Resource name.

properties.additionalNics

VirtualApplianceAdditionalNicProperties[]

Details required for Additional Network Interface. This property is not compatible with the NVA deployed in VNets.

properties.addressPrefix

string

Address Prefix.

properties.bootStrapConfigurationBlobs

string[]

BootStrapConfigurationBlobs storage URLs.

properties.cloudInitConfiguration

string

CloudInitConfiguration string in plain text.

properties.cloudInitConfigurationBlobs

string[]

CloudInitConfigurationBlob storage URLs.

properties.delegation

DelegationProperties

The delegation for the Virtual Appliance. Only appliable for SaaS NVA.

properties.deploymentType

string

The deployment type. PartnerManaged for the SaaS NVA

properties.inboundSecurityRules

SubResource[]

List of references to InboundSecurityRules.

properties.internetIngressPublicIps

InternetIngressPublicIpsProperties[]

List of Resource Uri of Public IPs for Internet Ingress Scenario.

properties.networkProfile

NetworkProfile

Network Profile containing configurations for Public and Private NIC.

properties.nvaInterfaceConfigurations

NvaInterfaceConfigurationsProperties[]

The NVA in VNet interface configurations

properties.nvaSku

VirtualApplianceSkuProperties

Network Virtual Appliance SKU.

properties.partnerManagedResource

PartnerManagedResourceProperties

The delegation for the Virtual Appliance

properties.privateIpAddress

string

A Internal Load Balancer's HA port frontend IP address. Can be used to set routes & UDR to load balance traffic between NVA instances

properties.provisioningState

ProvisioningState

The provisioning state of the resource.

properties.sshPublicKey

string

Public key for SSH login.

properties.virtualApplianceAsn

integer (int64)

minimum: 0
maximum: 4294967295

VirtualAppliance ASN. Microsoft private, public and IANA reserved ASN are not supported.

properties.virtualApplianceConnections

SubResource[]

List of references to VirtualApplianceConnections.

properties.virtualApplianceNics

VirtualApplianceNicProperties[]

List of Virtual Appliance Network Interfaces.

properties.virtualApplianceSites

SubResource[]

List of references to VirtualApplianceSite.

properties.virtualHub

SubResource

The Virtual Hub where Network Virtual Appliance is being deployed.

tags

object

Resource tags.

type

string

Resource type.

NicTypeInRequest

NIC type. This should be either PublicNic or PrivateNic.

Value Description
PublicNic
PrivateNic

NicTypeInResponse

NIC type - PublicNic, PrivateNic, or AdditionalNic; AdditionalPrivateNic and AdditionalPublicNic are only supported for NVAs deployed in VNets.

Value Description
PublicNic
PrivateNic
AdditionalNic

NvaInterfaceConfigurationsProperties

Specifies input parameters required NVA in VNet interface configuration.

Name Type Description
name

string

maxLength: 70

Specifies the name of the interface. Maximum length is 70 characters.

subnet

NvaInVnetSubnetReferenceProperties

Subnet references where the NVA NICS will be deployed
A subnet resource id where the NIC will be deployed. Each subnet resource uri should be unique.

type

NvaNicType[]

Specifies the NIC types for the NVA interface configuration. Allowed values: PrivateNic, PublicNic, AdditionalPrivateNic, AdditionalPublicNic. Only the combination of PrivateNic and PublicNic is currently supported.

NvaInVnetSubnetReferenceProperties

Subnet references where the NVA NICS will be deployed

Name Type Description
id

string (arm-id)

Resource Uri of Subnet

NvaNicType

Specifies the NIC types for the NVA interface configuration. Allowed values: PrivateNic, PublicNic, AdditionalPrivateNic, AdditionalPublicNic. Only the combination of PrivateNic and PublicNic is currently supported.

Value Description
PrivateNic

The private NIC type

PublicNic

The public NIC type

AdditionalPrivateNic

An additional private NIC type

AdditionalPublicNic

An additional public NIC type

PartnerManagedResourceProperties

Properties of the partner managed resource. Only appliable for SaaS NVA.

Name Type Description
id

string (arm-id)

The partner managed resource id.

internalLoadBalancerId

string (arm-id)

The partner managed ILB resource id

standardLoadBalancerId

string (arm-id)

The partner managed SLB resource id

ProvisioningState

The current provisioning state.

Value Description
Succeeded
Updating
Deleting
Failed

ResourceIdentityType

The type of identity used for the resource. The type 'SystemAssigned, UserAssigned' includes both an implicitly created identity and a set of user assigned identities. The type 'None' will remove any identities from the virtual machine.

Value Description
SystemAssigned
UserAssigned
SystemAssigned, UserAssigned
None

SubResource

Reference to another subresource.

Name Type Description
id

string

Resource ID.

UserAssignedIdentities

The list of user identities associated with resource. The user identity dictionary key references will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}'.

Name Type Description

VirtualApplianceAdditionalNicProperties

Network Virtual Appliance Additional Nic Properties

Name Type Description
hasPublicIp

boolean

Flag (true or false) for Intent for Public Ip on additional nic

name

string

Name of additional nic

VirtualApplianceIPConfiguration

Represents a single IP configuration.

Name Type Description
name

string

For hub NVAs, primary IP configs must be named 'privatenicipconfig' and 'publicnicipconfig', with non-primary configs using these prefixes; no naming restrictions apply for NVAs in VNets. Maximum 80 character are allowed.

properties

VirtualApplianceIPConfigurationProperties

Represents a single IP configuration properties.

VirtualApplianceIPConfigurationProperties

Represents a single IP configuration properties.

Name Type Description
primary

boolean

Whether or not this is primary IP configuration of the NIC.

VirtualApplianceNetworkInterfaceConfiguration

Represents a single NIC configuration.

Name Type Description
properties

VirtualApplianceNetworkInterfaceConfigurationProperties

Represents a single NIC configuration properties.

type

NicTypeInRequest

NIC type. This should be either PublicNic or PrivateNic.

VirtualApplianceNetworkInterfaceConfigurationProperties

Represents a single NIC configuration properties.

Name Type Description
ipConfigurations

VirtualApplianceIPConfiguration[]

Represents a single IP configuration.

VirtualApplianceNicProperties

Network Virtual Appliance NIC properties.

Name Type Description
instanceName

string

Instance on which nic is attached.

name

string

NIC name.

nicType

NicTypeInResponse

NIC type - PublicNic, PrivateNic, or AdditionalNic; AdditionalPrivateNic and AdditionalPublicNic are only supported for NVAs deployed in VNets.

privateIpAddress

string

Private IP address.

publicIpAddress

string

Public IP address.

VirtualApplianceSkuProperties

Network Virtual Appliance Sku Properties.

Name Type Description
bundledScaleUnit

string

Virtual Appliance Scale Unit.

marketPlaceVersion

string

Virtual Appliance Version.

vendor

string

Virtual Appliance Vendor.